Bug 1395574 - netstat: command not found message is seen in /var/log/messages when IO's are running.
Summary: netstat: command not found message is seen in /var/log/messages when IO's are...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nfs-ganesha
Version: rhgs-3.2
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
: RHGS 3.2.0
Assignee: Soumya Koduri
QA Contact: Arthy Loganathan
URL:
Whiteboard:
Depends On: 1395594 1395596
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-11-16 09:06 UTC by Arthy Loganathan
Modified: 2017-03-23 06:19 UTC (History)
11 users (show)

Fixed In Version: glusterfs-3.8.4-6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1395594 (view as bug list)
Environment:
Last Closed: 2017-03-23 06:19:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Arthy Loganathan 2016-11-16 09:06:23 UTC
Description of problem:
/usr/lib/ocf/resource.d/heartbeat/portblock: line 253: netstat: command not found ] messages are seen in /var/log/messages when IO's are running.

Version-Release number of selected component (if applicable):
glusterfs-ganesha-3.8.4-5.el7rhgs.x86_64
nfs-ganesha-gluster-2.4.1-1.el7rhgs.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Create nfs ganesha cluster and export the volume.
2. Mount it on client.
3. Start creating more number of files.

Actual results:
/usr/lib/ocf/resource.d/heartbeat/portblock: line 253: netstat: command not found ] messages are seen in /var/log/messages when IO's are running.

Expected results:
command not found message should not be seen and if netstat package is mandatory we have to install it as a prerequisite.

Additional info:

Nov 16 14:17:12 dhcp46-42 lrmd[27280]:  notice: dhcp46-42.lab.eng.blr.redhat.com-nfs_unblock_monitor_10000:10318:stderr [ /usr/lib/ocf/resource.d/heartbeat/portblock: line 253: netstat: command not found ]
Nov 16 14:17:12 dhcp46-42 lrmd[27280]:  notice: dhcp46-42.lab.eng.blr.redhat.com-nfs_unblock_monitor_10000:10318:stderr [ 0+0 records in ]
Nov 16 14:17:12 dhcp46-42 lrmd[27280]:  notice: dhcp46-42.lab.eng.blr.redhat.com-nfs_unblock_monitor_10000:10318:stderr [ 0+0 records out ]
Nov 16 14:17:12 dhcp46-42 lrmd[27280]:  notice: dhcp46-42.lab.eng.blr.redhat.com-nfs_unblock_monitor_10000:10318:stderr [ 0 bytes (0 B) copied, 0.00349785 s, 0.0 kB/s ]
Nov 16 14:17:22 dhcp46-42 lrmd[27280]:  notice: dhcp46-42.lab.eng.blr.redhat.com-nfs_unblock_monitor_10000:10417:stderr [ /usr/lib/ocf/resource.d/heartbeat/portblock: line 253: netstat: command not found ]

Comment 2 Soumya Koduri 2016-11-16 09:18:31 UTC
Looks like portblock resource agent is using netstat command. 

Kaleb/Oyvind,

Do we need to address this as part of resource-agents package itself or does ganesha-gluster which makes use of this resource agent needs to have this check?

Either wise if it can't be addressed by RHGS 3.2.0 timeline, least we should document it as pre-requisite. Thoughts?

Comment 3 Oyvind Albrigtsen 2016-11-16 09:28:22 UTC
Seems like (In reply to Soumya Koduri from comment #2)
Yeah. Seems like we need to add it to Requires in resource-agents.

Comment 5 surabhi 2016-11-17 09:36:49 UTC
While running pynfs test suite seeing the netstat not found in log messages.

Also when a node is rebooted seeing following messages in pcs status which doesn't looks ok:

 Resource Group: dhcp47-104.lab.eng.blr.redhat.com-group
     dhcp47-104.lab.eng.blr.redhat.com-nfs_block	(ocf::heartbeat:portblock):	Started dhcp47-104.lab.eng.blr.redhat.com
     dhcp47-104.lab.eng.blr.redhat.com-cluster_ip-1	(ocf::heartbeat:IPaddr):	Started dhcp47-104.lab.eng.blr.redhat.com
     dhcp47-104.lab.eng.blr.redhat.com-nfs_unblock	(ocf::heartbeat:portblock):	FAILED dhcp47-104.lab.eng.blr.redhat.com (blocked)
 Resource Group: dhcp47-105.lab.eng.blr.redhat.com-group
     dhcp47-105.lab.eng.blr.redhat.com-nfs_block	(ocf::heartbeat:portblock):	Started dhcp47-105.lab.eng.blr.redhat.com
     dhcp47-105.lab.eng.blr.redhat.com-cluster_ip-1	(ocf::heartbeat:IPaddr):	Started dhcp47-105.lab.eng.blr.redhat.com
     dhcp47-105.lab.eng.blr.redhat.com-nfs_unblock	(ocf::heartbeat:portblock):	FAILED dhcp47-105.lab.eng.blr.redhat.com (blocked)


checked with Soumya, looks like when portblock is trying to run it needs netstat and may show such errors.

Comment 7 surabhi 2016-11-18 07:12:15 UTC
Checked in rhel7 , the net-tools package comes from RHEL-base channel but not installed by default. So if we add dependency on glusters-ganesha it should pull in from rhel base channel and install it.

Comment 11 Atin Mukherjee 2016-11-21 09:00:38 UTC
downstream only patch : https://code.engineering.redhat.com/gerrit/#/c/90529/

Comment 13 Arthy Loganathan 2016-12-06 15:25:46 UTC
Verified the fix in build,

glusterfs-ganesha-3.8.4-7.el7rhgs.x86_64
nfs-ganesha-gluster-2.4.1-2.el7rhgs.x86_64

Comment 20 errata-xmlrpc 2017-03-23 06:19:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.